/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.registry.web.actions;

import com.opensymphony.xwork2.ActionSupport;
import org.wso2.registry.secure.SecureRegistry;
import org.wso2.registry.secure.RegistryUserManager;
import org.wso2.registry.web.actions.AbstractRegistryAction;

public class RecentActivityAction extends AbstractRegistryAction {

    private String newRoleName;

    public String execute() throws Exception {

        if (newRoleName == null || newRoleName.equalsIgnoreCase("-- None --")) {
            return ActionSupport.ERROR;
        }

        SecureRegistry secureRegistry = (SecureRegistry) getRegistry();
        RegistryUserManager userManager = secureRegistry.getUserManager();

        userManager.addRole(newRoleName);

        return ActionSupport.SUCCESS;
    }

    public String getNewRoleName() {
        return newRoleName;
    }

    public void setNewRoleName(String newRoleName) {
        this.newRoleName = newRoleName;
    }
}